/*
 *  ticker.h -  get the number of ticks since some fixed point in time.
 */

/*
 *   reset_tick_count ()
 *
 *   define the current time as somewhere in the range of zero to sixty.
 *   this is useful to keep the ticker from turning over.
 *
 */
void reset_tick_count (void);

/*
 *   get_tick_count ()
 *
 *   return the number of ticks on the system ticker.
 *
 */
long get_tick_count (void);
